(function () {
	const jsFiles = window.jsFiles || [];
	const cssFiles = window.cssFiles || [];
	function addScripts(urls) {
		urls.forEach(function onUrl(url) {
			const script = document.createElement('script');
			script.setAttribute('src', url);
			script.async = false;
			document.body.appendChild(script);
		});
	}

	function addStyles(urls) {
		const title = document.getElementsByTagName('TITLE')[0];
		urls.forEach(function onUrl(url) {
			const style = document.createElement('link');
			style.setAttribute('rel', 'stylesheet');
			style.setAttribute('media', 'print');
			style.setAttribute('onload', 'this.media="all"');
			style.setAttribute('href', url);
			document.head.insertBefore(style, title);
		});
	}
	document.addEventListener('DOMContentLoaded', function onDocumentReady() {
		addStyles(cssFiles);
		addScripts(jsFiles);
	});
})();
